/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __GRAPHICS3D_EXCEPTION_H
#define __GRAPHICS3D_EXCEPTION_H

#include "object.exception.h"

namespace magnum { namespace graphics3d {
using magnum::object::Object;
using magnum::types::String;
using magnum::object::Exception;

DeclareException(Graphics3dException, Exception);
DeclareException(MemoryException, Graphics3dException);
DeclareException(TextureException, Graphics3dException);
DeclareException(TypeException, Graphics3dException);
DeclareException(UnsupportedFeatureException, Graphics3dException);
DeclareException(InvalidOperationException, Graphics3dException);
DeclareException(ShaderCompilerException, Graphics3dException);
DeclareException(ShaderLinkerException, Graphics3dException);

}; };

#endif
