/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __IO_INPUTSTREAM_INL
#define __IO_INPUTSTREAM_INL

namespace magnum { namespace io {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline InputStream::InputStream() {
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline unsigned long InputStream::read(void *buffer, unsigned long size) {
	return onRead(buffer, size);
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline unsigned long InputStream::skip(unsigned long size) {
	return onSkip(size);
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline unsigned long InputStream::available() {
	return onAvailable();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline bool InputStream::close() {
	return onClose();
}



}; };

#endif
