/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/
#ifndef __DEBUG_LOGGER_INL
#define __DEBUG_LOGGER_INL

namespace magnum { namespace debug {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline OutputStream* Logger::getStream() const {
	return m_Stream;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Logger& operator<<(Logger& log,const char* str) {
	log.writeLine(str);
	return log;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Logger& operator<<(Logger& log,const String& str) {
	log.writeLine(str);
	return log;
}

}; };

#endif
