/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __GRAPHICS3D_SHADERSTACK_H
#define __GRAPHICS3D_SHADERSTACK_H

namespace magnum {namespace graphics3d {
class Shader;
class Context;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class ShaderStack : public Object {
DeclareClass(ShaderStack, Object);
friend Shader;
friend Context;
private:
	const Shader*			m_Shader;
	unsigned int			m_Attributes;

private:
	inline ShaderStack();

public:
	inline const Shader*		getShader() const;
};

}; };

#endif
