/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __IO_FILE_INL
#define __IO_FILE_INL

namespace magnum { namespace io {
#pragma warning( disable : 4355)

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline File::File() : m_InputStream(this), m_OutputStream(this) {
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline File::~File() {
	m_InputStream.close();
	m_OutputStream.close();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline InputStream* File::getInputStream() {
	return &m_InputStream;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline OutputStream* File::getOutputStream() {
	return &m_OutputStream;
}

#pragma warning( default : 4355)
}; };

#endif
